Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui
Class ProtegeUI

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.ProtegeUI

    public class ProtegeUI

extends Object

A utility class that can be used to access and manipulate the high-level Swing containers of Protege for a given Project.

Author:
  Holger Knublauch

Constructor Summary
`ProtegeUI()`

Method Summary
`static Icon` | `getIcon(RDFResource resource)` Gets an Icon representing a given resource, using the current `IconFactory`.
`static IconFactory` | `getIconFactory()`
`static ModalDialogFactory` | `getModalDialogFactory()`
`static NavigationHistoryManager` | `getNavigationHistoryManager(OWLModel owlModel)`
`static String` | `getPotentialIconName(edu.stanford.smi.protege.model.Frame frame)`
`static edu.stanford.smi.protege.ui.ProjectView` | `getProjectView(Component component)`
`static edu.stanford.smi.protege.ui.ProjectView` | `getProjectView(OWLModel owlModel)`
`static edu.stanford.smi.protege.ui.ProjectView` | `getProjectView(edu.stanford.smi.protege.model.Project project)`
`static ResourcePanelFactory` | `getResourcePanelFactory()`
`static SelectionDialogFactory` | `getSelectionDialogFactory()`
`static Component` | `getTopLevelContainer(OWLModel owlModel)`
`static Component` | `getTopLevelContainer(edu.stanford.smi.protege.model.Project project)`
`static void` | `register(edu.stanford.smi.protege.ui.ProjectView projectView)`
`static void` | `reloadUI(OWLModel owlModel)`
`static void` | `reloadUI(edu.stanford.smi.protege.model.Project project)`
`static void` | `reloadUI(edu.stanford.smi.protege.ui.ProjectView projectView)`
`static void` | `setIconFactory(IconFactory iconFactory)`
`static void` | `setModalDialogFactory(ModalDialogFactory mdf)`
`static void` | `setResourcePanelFactory(ResourcePanelFactory factory)`
`static void` | `setSelectionDialogFactory(SelectionDialogFactory sdf)`
`static void` | `show(RDFResource resource)` Shows a given RDFResource in an external window.
`static void` | `unregister(edu.stanford.smi.protege.ui.ProjectView projectView)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegeUI

    public ProtegeUI()

Method Detail

### getIcon

    public static Icon getIcon(RDFResource resource)

  Gets an Icon representing a given resource, using the current `IconFactory`.

  Parameters:
    `resource` - the resource to get an Icon for
  Returns:
    an Icon
  See Also:
    `getIconFactory()`

### getIconFactory

    public static IconFactory getIconFactory()

### getModalDialogFactory

    public static ModalDialogFactory getModalDialogFactory()

### getProjectView

    public static edu.stanford.smi.protege.ui.ProjectView getProjectView(Component component)

### getProjectView

    public static edu.stanford.smi.protege.ui.ProjectView getProjectView(OWLModel owlModel)

### getProjectView

    public static edu.stanford.smi.protege.ui.ProjectView getProjectView(edu.stanford.smi.protege.model.Project project)

### getNavigationHistoryManager

    public static NavigationHistoryManager getNavigationHistoryManager(OWLModel owlModel)

### getResourcePanelFactory

    public static ResourcePanelFactory getResourcePanelFactory()

### getSelectionDialogFactory

    public static SelectionDialogFactory getSelectionDialogFactory()

### getTopLevelContainer

    public static Component getTopLevelContainer(OWLModel owlModel)

### getTopLevelContainer

    public static Component getTopLevelContainer(edu.stanford.smi.protege.model.Project project)

### register

    public static void register(edu.stanford.smi.protege.ui.ProjectView projectView)

### reloadUI

    public static void reloadUI(edu.stanford.smi.protege.model.Project project)

### reloadUI

    public static void reloadUI(edu.stanford.smi.protege.ui.ProjectView projectView)

### reloadUI

    public static void reloadUI(OWLModel owlModel)

### setIconFactory

    public static void setIconFactory(IconFactory iconFactory)

### setModalDialogFactory

    public static void setModalDialogFactory(ModalDialogFactory mdf)

### setResourcePanelFactory

    public static void setResourcePanelFactory(ResourcePanelFactory factory)

### setSelectionDialogFactory

    public static void setSelectionDialogFactory(SelectionDialogFactory sdf)

### show

    public static void show(RDFResource resource)

  Shows a given RDFResource in an external window. This method should be used instead of core Protege's Project.show() method.

  Parameters:
    `resource` - the resource to show

### unregister

    public static void unregister(edu.stanford.smi.protege.ui.ProjectView projectView)

### getPotentialIconName

    public static String getPotentialIconName(edu.stanford.smi.protege.model.Frame frame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.